View Issue Details

IDProjectCategoryView StatusLast Update
0003241GNUnetconversation servicepublic2014-04-08 16:42
ReporteryidsAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformAMD64OSDebianOS VersionWheezy
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003241: gnunet-conversation crashes
Descriptiongnunet-conversation crashes when started

yids@ingorgare:~$ gdb --args gnunet-conversation -e ingorgare
GNU gdb (GDB) 7.4.1-debian
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/local/bin/gnunet-conversation...done.
(gdb) run
Starting program: /usr/local/bin/gnunet-conversation -e ingorgare
Dec 24 23:03:07-965867 gnunet-conversation-29008 ERROR Assertion failed at scheduler.c:1602.

Program received signal SIGABRT, Aborted.
0x00007ffff6787475 in *__GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) backtrace
#0 0x00007ffff6787475 in *__GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1 0x00007ffff678a6f0 in *__GI_abort () at abort.c:92
#2 0x00007ffff6d770f9 in GNUNET_abort () at common_logging.c:289
#3 0x00007ffff6d9ef4b in GNUNET_SCHEDULER_add_file_with_priority (delay=..., priority=<optimized out>, fd=<optimized out>, on_read=<optimized out>, on_write=<optimized out>,
    task=<optimized out>, task_cls=<optimized out>) at scheduler.c:1602
#4 GNUNET_SCHEDULER_add_file_with_priority (delay=..., priority=GNUNET_SCHEDULER_PRIORITY_DEFAULT, fd=<optimized out>, on_read=1, on_write=0, task=0x401d40 <handle_command>, task_cls=0x0)
    at scheduler.c:1578
#5 0x00007ffff6d9f010 in GNUNET_SCHEDULER_add_read_file (delay=..., rfd=rfd@entry=0x606720, task=task@entry=0x401d40 <handle_command>, task_cls=task_cls@entry=0x0) at scheduler.c:1525
#6 0x0000000000401d81 in handle_command (cls=<optimized out>, tc=<optimized out>) at gnunet-conversation.c:1046
#7 0x00007ffff6d9f991 in run_ready (ws=0x607970, rs=0x6078e0) at scheduler.c:595
#8 GNUNET_SCHEDULER_run (task=task@entry=0x7ffff6d9ac80 <program_main>, task_cls=task_cls@entry=0x7fffffffe320) at scheduler.c:817
#9 0x00007ffff6d9b402 in GNUNET_PROGRAM_run2 (argc=<optimized out>, argv=0x606740, binaryName=binaryName@entry=0x403ce0 "gnunet-conversation",
    binaryHelp=binaryHelp@entry=0x4043d8 "Enables having a conversation with other GNUnet users.", options=options@entry=0x404700, task=task@entry=0x403670 <run>,
    task_cls=task_cls@entry=0x0, run_without_scheduler=run_without_scheduler@entry=0) at program.c:302
#10 0x00007ffff6d9b73a in GNUNET_PROGRAM_run (argc=<optimized out>, argv=<optimized out>, binaryName=binaryName@entry=0x403ce0 "gnunet-conversation",
    binaryHelp=binaryHelp@entry=0x4043d8 "Enables having a conversation with other GNUnet users.", options=options@entry=0x404700, task=task@entry=0x403670 <run>,
    task_cls=task_cls@entry=0x0) at program.c:341
#11 0x0000000000401af5 in main (argc=3, argv=0x606740) at gnunet-conversation.c:1183
Steps To Reproducestart gnunet-conversation
TagsNo tags attached.

Activities

yids

2013-12-24 23:11

reporter  

convValgrind.log (10,278 bytes)

Christian Grothoff

2013-12-24 23:25

manager   ~0007944

Fixed. Argh.

grothoff@spec:~/svn/gnunet/src/util$ svn diff -r 31746
Index: scheduler.c
===================================================================
--- scheduler.c (revision 31746)
+++ scheduler.c (working copy)
@@ -1599,7 +1599,7 @@
   int real_fd;
 
   GNUNET_DISK_internal_file_handle_ (fd, &real_fd, sizeof (int));
- GNUNET_assert (real_fd > 0);
+ GNUNET_assert (real_fd >= 0);
   return add_without_sets (
       delay, priority,
       on_read ? real_fd : -1,

Issue History

Date Modified Username Field Change
2013-12-24 23:11 yids New Issue
2013-12-24 23:11 yids File Added: convValgrind.log
2013-12-24 23:25 Christian Grothoff Note Added: 0007944
2013-12-24 23:25 Christian Grothoff Status new => resolved
2013-12-24 23:25 Christian Grothoff Fixed in Version => 0.10.1
2013-12-24 23:25 Christian Grothoff Resolution open => fixed
2013-12-24 23:25 Christian Grothoff Assigned To => Christian Grothoff
2013-12-24 23:25 Christian Grothoff Target Version => 0.10.1
2013-12-24 23:28 Christian Grothoff Fixed in Version 0.10.1 => SVN HEAD
2014-01-01 22:02 Christian Grothoff Fixed in Version SVN HEAD => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed